cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/blackout-windows/{blackout_window_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cluster_id": "12345678-1234-1234-1234-123456789012",
"end_time": "2025-10-15T06:00:00Z",
"id": "12345678-1234-1234-1234-123456789012",
"start_time": "2025-10-15T00:00:00Z"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Delete a blackout window for a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
DELETE
/
api
/
v1
/
clusters
/
{cluster_id}
/
blackout-windows
/
{blackout_window_id}
cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/blackout-windows/{blackout_window_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cluster_id": "12345678-1234-1234-1234-123456789012",
"end_time": "2025-10-15T06:00:00Z",
"id": "12345678-1234-1234-1234-123456789012",
"start_time": "2025-10-15T00:00:00Z"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Limited Access and may not be available to all users. Refer to the API support policy for more details.
Authorizations
Response
A successful response.
BlackoutWindow schedules a period of up to 14 days for an ADVANCED cluster to block "high-risk" operations that impact SQL availability or require CRDB pod restarts.

